
<ion-content class="noscroll">
   <div *ngFor="let job of jobs" >
    <div  class="image">
      <img src="../../assets/{{job.image.name}}.{{job.image.mimetype}}">
      <ion-icon (click)="backbutton()" name="arrow-round-back" ></ion-icon> 
      <h1>{{job.name}}</h1>
      <h6 class="h6rev"> 24 reviews</h6>
      <rating [rate]="rate"
          readonly="true"
          size="default" 
          [formControl]="rating"
          class="rating-class">
          
    </rating>
    </div>
    <div class="white-class">
      <div class="h3des">
      <p style="font-weight: bold; font-size: 20px;">Description</p>
        <p>{{job.description}}</p>
      
        <h3 class="h3cost">${{job.job_users[0].price}}</h3>
        <h5 class="h3est">Estimate</h5>
      </div>
      <div  class="phone">
        <img src="assets/call.svg" (click)="callNow('number')">
    <p class="num">{{job.creator[0].phone}}</p>
      </div>
    </div>
    <ion-button (click)="TakeAJob(job)" color="warning" >TAKE A JOB</ion-button>
  </div>
 
  <div #mapElement class="map"></div>

</ion-content>
